Unexpected behaviour on issue fields for users that have multiple roles 

2014-01-28 21:52 - VD DV

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version: 3.0.0   

Resolution: Fixed Affected version: 2.4.2

Description

To explain this possible defect let me explain this situation.

We have dozens of projects on which are defined mixed teams of users. We have defined roles for those projects&users.

I will focus on just those facts that matters this issue:

- We have one role that enables users to view just documents and nothing else (lets name it DocViewer).

- We have another role that enables user to report an issue and nothing else (lets name it IssueReporter).

- We have user (User1) that have both roles on some project

- We have defined field restrictions on workflow for IssueReporter on some field. For example we want to force users that owns role

IssueReporter to fill some data at custom field (lets name it SomeRequiredField). That was done through workflow for role

IssueReporter (on all trackers) by setting Requred attribute on SomeRequredField.

So we expected that User1 will be forced to fill up SomeRequiredField, but it is not happening. User1 still can skip that required field.

Reason for this is that the User1 has also role DocViewer. Please note that this role have not any specific workflow nor field

restrictions defined.

Conclusion:

It would be expected that roles that have not assigned permissions for adding or updating issues should not make any influence on

field restrictions (and worflows also) in situations when user owns multiple roles.

Related issues:

Related to Redmine - Defect #33059: "Role" dropdown in Workflow page is unexp... Closed

Related to Redmine - Defect #39493: Role with only :edit_own_issues no longer... Confirmed

Precedes Redmine - Defect #34570: Misleading workflow/permission issue New

Precedes Redmine - Defect #34284: In Role edit view the per tracker table onl... New

Associated revisions

Revision 13746 - 2014-12-13 15:01 - Jean-Philippe Lang

Droped legacy behaviour that allows a user to edit a few attributes of an issue without the edit_issues permission if a status transition is allowed

(#15988).

Now that we can control permission on each field, this behaviour is no longer needed. The edit_issues permission is now required, which is consistent

with the current requirements for bulk edition.

Revision 13747 - 2014-12-13 15:31 - Jean-Philippe Lang

Don't consider roles without issue add/edit permissions for determining fields permissions (#15988).

Revision 13748 - 2014-12-13 15:47 - Jean-Philippe Lang

Don't show roles without issue add/edit permission in workflow setup (#15988).

History

#1 - 2014-07-15 01:29 - VD DV

Any updates on this issue? Is this defect fixed in recent Redmine versions?

#2 - 2014-08-13 02:07 - Toshi MARUYAMA

- Subject changed from Unexpected behaviour on issue fiels for users that have multiple roles  to Unexpected behaviour on issue fields for users that

have multiple roles 

#3 - 2014-12-04 11:38 - VD DV
Can you reconsider fixing this Defect in near future?

In my opinion this defect is realy serious.

#4 - 2014-12-04 11:56 - Toshi MARUYAMA

- Target version set to 3.0.0

#5 - 2014-12-13 14:55 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

#6 - 2014-12-13 17:40 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

#7 - 2020-02-29 05:30 - Go MAEDA

- Related to Defect #33059: "Role" dropdown in Workflow page is unexpectedly expanded  when selecting "all" added

#8 - 2021-02-02 13:33 - Mischa The Evil

- Precedes Defect #34570: Misleading workflow/permission issue added

#9 - 2021-02-02 13:34 - Mischa The Evil

- Precedes Defect #34284: In Role edit view the per tracker table only shows up when "View Issues" permission is selected added

#10 - 2023-11-01 23:17 - Mischa The Evil

- Related to Defect #39493: Role with only :edit_own_issues no longer considered for workflow added
